/* stylelint-disable color-hex-length */
/* stylelint-disable font-family-no-missing-generic-family-keyword */
* {
  font-family: 'Sharp Grotesk Book' !important;
  font-size: 15px;
  font-variant: normal;
  padding: 0;
  margin: 0;
}

pre {
  color: #31325f;
  font-family: 'Sharp Grotesk Book' !important;
  font-weight: 200;
}

html {
  height: 100%;
}

body {
  /* background: #e6ebf1; */
  min-height: 100%;
  padding: 30px;
}

form {
  max-width: 480px;
  min-width: 350px;
}

iframe {
  width: 100%;
  height: 100%;
}

/* stylelint-disable-next-line block-no-empty */
.group {
}

label {
  position: relative;
  color: #8898aa;
  font-weight: 300;
  height: 40px;
  line-height: 40px;
  margin-left: 20px;
  display: flex;
  flex-direction: row;
}

.group label:not(:last-child) {
  border-bottom: 1px solid #f0f5fa;
}

label > span {
  width: 120px;
  text-align: right;
  margin-right: 30px;
}

.field {
  background: transparent;
  font-weight: 300;
  border: 0;
  color: #31325f;
  outline: none;
  flex: 1;
  padding-right: 10px;
  padding-left: 10px;
  cursor: text;
}

.field::-webkit-input-placeholder {
  color: #cfd7e0;
}

.field::-moz-placeholder {
  color: #cfd7e0;
}

button {
  background: #35c2a1;
  color: white;
  box-shadow: 0 7px 14px 0 rgba(49, 49, 93, 0.1),
    0 3px 6px 0 rgba(0, 0, 0, 0.08);
  border-radius: 4px;
  border: 0;
  margin-top: 20px;
  font-size: 15px;
  font-weight: 400;
  width: 100%;
  height: 40px;
  line-height: 38px;
  outline: none;
}

button:focus {
  background: #35c2a1;
}

button:active {
  background: #35c2a1;
}

.response-container {
  padding-top: 30px;
  max-width: 480px;
}

#card-number {
  margin-left: -25px;
}

#card-name {
  margin-left: -25px;
}

#card-cvc {
  margin-left: -135px;
}

#card-expiry {
  margin-left: -25px;
}

.card-holder {
  position: absolute;
  top: -18px;
  color: #000000;
  height: 25px;
  background: white;
  width: 98px;
  margin-left: 2px;
  padding-right: 6px;
}

.card-holder-name {
  position: absolute;
  top: -18px;
  color: #000000;
  height: 25px;
  background: white;
  width: 123px;
  padding-right: 6px;
}

.card-expiry {
  position: absolute;
  top: -18px;
  color: #000000;
  height: 25px;
  background: white;
  width: 48px;
  padding-right: 6px;
  padding-left: 6px;
}

.card-cvv {
  position: absolute;
  top: -18px;
  height: 25px;
  background: white;
  width: 37px;
  padding-right: 6px;
  padding-left: 6px;
  right: 113%;
}

.main-title {
  color: #000000;
  font-size: 27px;
  font-family: serif;
}

.sub-title {
  color: #000000;
  font-size: 15px;
  margin-top: 5px;
  font-family: sans-serif;
}

.agreement-text {
  font-family: serif;
  font-size: 15px;
}

.card-main-container {
  margin-bottom: 2.5rem;
}

.PreviewFrame-iFrame,
iframe {
  height: 130% !important;
  width: 75%;
}

.card-field {
  margin-bottom: 3rem;
}

.flex {
  display: flex;
}

.defailt-payment {
  margin-bottom: 1.5rem;
  margin-left: -16px;
}

.agreement-blue {
  color: #2c2cd3;
  font-family: serif;
  font-size: 15px;
}

.agreement-container {
  width: 65%;
}

.repayment-text {
  padding-top: 10px;
}

.MuiButton-textSecondary {
  background: #9c27b0 !important;
  color: #ffffff;
  width: 76%;
}

.button-bottom {
  margin: 0.8rem 0;
}

.MuiButton-textPrimary {
  width: 76%;
}

.Mui-checked {
  color: #52195c !important;
}

.focussed-field {
  font-family: 'Sharp Grotesk Book';
  font-style: normal;
  font-weight: 400;
  font-size: 11px;
  line-height: 18px;
  letter-spacing: 0.4px;
  color: #6542be;
}

.field-error {
  margin-top: 13px;
  color: red;
}

.cvv-field-error {
  margin-top: 13px;
  color: red;
  margin-left: -95px;
}

.centered-section {
  display: flex;
  justify-content: center;
}
